> For the complete documentation index, see [llms.txt](https://developers.polymath.network/polymesh-sdk-api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.polymath.network/polymesh-sdk-api-reference/docs-alpha/interfaces/types.trustedclaimissuer.md).

# types.TrustedClaimIssuer

[@polymeshassociation/polymesh-sdk](/polymesh-sdk-api-reference/docs-alpha/classes.md) / [Modules](/polymesh-sdk-api-reference/docs-alpha/modules.md) / [types](/polymesh-sdk-api-reference/docs-alpha/modules-1/types.md) / TrustedClaimIssuer

## Interface: TrustedClaimIssuer\<IsDefault>

[types](/polymesh-sdk-api-reference/docs-alpha/modules-1/types.md).TrustedClaimIssuer

### Type parameters

| Name        | Type                        | Description                                                                                                                        |
| ----------- | --------------------------- | ---------------------------------------------------------------------------------------------------------------------------------- |
| `IsDefault` | extends `boolean` = `false` | whether the Identity is a default trusted claim issuer for an asset or just for a specific compliance condition. Defaults to false |

### Table of contents

#### Properties

* [identity](#identity)
* [trustedFor](#trustedfor)

### Properties

#### identity

• **identity**: `IsDefault` extends `true` ? [`DefaultTrustedClaimIssuer`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_defaulttrustedclaimissuer.defaulttrustedclaimissuer.md) : [`Identity`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_identity.identity.md)

**Defined in**

[types/index.ts:360](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/types/index.ts#L360)

***

#### trustedFor

• **trustedFor**: `null` | [`ClaimType`](/polymesh-sdk-api-reference/docs-alpha/enums/types.claimtype.md)\[]

a null value means that the issuer is trusted for all claim types

**Defined in**

[types/index.ts:364](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/types/index.ts#L364)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-alpha/interfaces/types.trustedclaimissuer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
